Eclipse Indigo: no se puede instalar el complemento Android ADT

Cuando bash instalar Android Developer Tool, aparece el siguiente error.

Software que se está instalando: Herramientas de desarrollo de Android 11.0.0.v201105251008-128486 (com.android.ide.eclipse.adt.feature.group 11.0.0.v201105251008-128486) Requisito faltante: Herramientas de desarrollo de Android 11.0.0.v201105251008-128486 ( com.android.ide.eclipse.adt.feature.group 11.0.0.v201105251008-128486) requiere ‘org.eclipse.wst.sse.core 0.0.0’ pero no se pudo encontrar

También encontré que agregar el paquete WST no ayuda. Obtengo lo siguiente,

No se puede completar la instalación porque no se encontraron uno o más elementos necesarios. Software que se está instalando: Google Web Toolkit SDK 2.3.0 2.3.0.r37v201106211634 (com.google.gwt.eclipse.sdkbundle.e37.feature.feature.group 2.3.0.r37v201106211634) Requisito faltante: Google Plugin for Eclipse 3.7 2.3. 2.r37v201106211634 (com.google.gdt.eclipse.suite.e37.feature.feature.group 2.3.2.r37v201106211634) requiere ‘org.eclipse.wst.xml.core 0.0.0’ pero no se pudo encontrar No se puede satisfacer dependencia: De: Google Web Toolkit SDK 2.3.0 2.3.0.r37v201106211634 (com.google.gwt.eclipse.sdkbundle.e37.feature.feature.group 2.3.0.r37v201106211634) Para: com.google.gdt.eclipse. suite.e37.feature.feature.group 2.3.2

Estoy ejecutando la versión Eclipse Indigo de 64 bits. ¿Podría alguien señalarme en la dirección correcta? O dime dónde encontrar ese paquete perdido.

Dirígete a Help -> Install New Software . Haga clic en Sitios de software disponibles. Eliminar el repository de Android. Desmarque las actualizaciones de Indigo y Eclipse y vuelva a verificarlas. Ahora diríjase a Ayuda -> Buscar actualizaciones. Una vez hecho esto, agregue el repository de Android nuevamente. Acepta la licencia y deberías ser bueno para ir.

(Tuve que hacer lo mismo ayer después de conseguir Indigo)

Yo tuve el mismo problema. Esto me ayudó:

  1. Vaya a Ayuda-> Instalar software
  2. Haga clic en “Sitios de software disponibles”
  3. Haga clic en Agregar: Nombre: “Helios” Ubicación: “http://download.eclipse.org/releases/helios”
  4. Intenta instalar herramientas de desarrollo de Android

org.eclipse.wst.xml.core 0.0.0 problema org.eclipse.wst.xml.core 0.0.0 siguiendo estos pasos:

  • Ve a ayudar
  • Instalar nuevo software: Agregar nombre: Ubicación de Indigo: ” http://download.eclipse.org/releases/indigo
  • Seleccione ‘ Adaptadores de servidor WST ‘ en ‘ Web, XML, Java,... ‘ (apellido en la lista)
  • Aceptar el acuerdo de licencia
  • Reiniciar Eclipse
  • Procedimiento de reanudación para instalar ADT

Me funcionó, espero que también lo sea para ti.

Tuve el mismo problema. Las otras soluciones aquí no funcionaron para mí porque ni siquiera podía ver los repositorys de actualización de Indigo / Helios. El problema era que Eclipse estaba en Archivos de progtwig, pero no lo estaba ejecutando como administrador.

Así que obtuve índigo, y luego: vaya a Ayuda-> Instalar nuevo software Haga clic en Agregar: Nombre: “Indigo” Ubicación: “http://download.eclipse.org/releases/indigo” Intente instalar las herramientas de desarrollo de Android (como Verás, solo 1 opción de 4 aparecerá – esto es normal para Indigo)

Asegúrese de tener la opción “Contactar con todos los sitios de actualización durante la instalación para encontrar el software requerido”. Esta opción se encuentra en la esquina inferior izquierda de la primera pantalla después de elegir Ayuda / Agregar nuevo software. Esto está desmarcado por defecto. Esto REPARARÁ el problema si no fue seleccionado.

El complemento se instalará en 3.7, 32 bits y 64 bits.

El complemento de Google para Eclipse depende de otros componentes específicos de Eclipse, como WST. Es posible que su instalación de Eclipse aún no los incluya a todos, pero se pueden instalar fácilmente siguiendo estas instrucciones. Eclipse 3.7 (Indigo)

  Select Help > Install New Software... Click the link for Available Software Sites. Ensure there is an update site named Indigo. If this is not present, click Add... and enter http://download.eclipse.org/releases/indigo for the Location. Now go through the installation steps; Eclipse should download and install the plugin's dependencies. 

También he tenido este problema. Lo resolví yendo a:

Hacer clic en -> sitios de software disponibles
Seleccione “Helios” y haga clic en Recargar.
Seleccione “Complemento ADT” y haga clic en Recargar.
Luego regresó, lo intenté de nuevo y funcionó.

Si todavía no puede hacerlo funcionar, hay instrucciones para hacerlo manualmente aquí:
http://developer.android.com/sdk/eclipse-adt.html#installing

(también: estoy usando 3.7 64x, funciona bien, no tiene problemas).

Intenté instalar y obtuve el mismo error (usando el nuevo “marketplace”). Probé con la Ayuda típica-> instalar un nuevo software … luego, donde dice “Trabajar con:” ingresé:

http://dl-ssl.google.com/android/eclipse/

siguió todas las instrucciones y todo parece estar funcionando bien ahora.

Ejecute eclipse con nivel de raíz

$ sudo / opt / eclipse / eclipse

Vaya a Ayuda-> Instalar software. Agregue el siguiente enlace http://dl-ssl.google.com/android/eclipse/ .

A continuación, presione Siguiente y acepte la licencia, instala parte del software requerido y luego estará listo para continuar.

Después de reiniciar el eclipse, te pide que descargues el SDK de Android requerido o que proporciones la ruta de SDK de Android si ya está descargada.

Esto funciona todo el tiempo, cualquiera que sea la versión.

Por cierto, Eclipse + ADT (ADT Bundle) ahora se proporciona como un paquete único,

Desarrollador.Android: ADT Bundle

Ninguna de las respuestas existentes funcionó para mí. Tener todos los sitios de actualización correctos en “sitios disponibles” no fue suficiente para decirle a Eclipse cómo encontrar sus dependencias.

Usando Fedora 14 y Eclipse Indigo 3.7.1, tuve que seguir estos pasos para que la instalación funcione:

  1. Compruebe e instale “Herramientas de Linux” desde http://download.eclipse.org/releases/indigo
  2. Compruebe e instale “Herramientas de Linux” desde http://download.eclipse.org/releases/indigo/201109230900

Después de reiniciar Eclipse, finalmente pude instalar el SDK de Android.

Gracias a todos por los mensajes pero desafortunadamente ninguno de los anteriores resolvió mi problema. Finalmente, lo que hizo que todo funcionara para mí fue descargar eclipse indigo 3.7.2 y (esto es muy importante) EXTRAERLO DIRECTAMENTE EN MI CARPETA DE PROGRAMAS. Antes de extraerlo a mi escritorio y copiarlo en la carpeta de progtwigs (C: \ Archivos de progtwig) pero me gustaría obtener un mensaje de error que decía “El iniciador ejecutable de Eclipse no pudo encontrar su biblioteca compartida complementaria” cuando intentaba ejecutar eclipse.

Después de extraer el eclipse directamente a la carpeta de mis progtwigs, lo ejecuté y agregué el complemento ADT de la manera recomendada en el sitio de Android y hasta ahora todo funciona bien 🙂

Estoy en una máquina con Windows 7 x64 y tenía jre-7u2-windows-x64.exe, jdk-7u2-windows-x64.exe y installer_r16-windows.exe instalados antes de extraer eclipse.

Espero que esto también pueda ayudar a alguien más 🙂

Todavía bastante desconcertante. Parece que una combinación de las sugerencias anteriores funcionó en Eclipse 3.7.2.

Primero, tuve que moverme a una red que dl-ssl.google.com no bloqueó (este es un problema continuo con el servidor de Google) (es fácil con una computadora portátil, y menos con mi torre).

La gente de Eclipse debería ver este problema. El usuario ve un error, algo sobre un paquete perdido “org.eclipse.wst.sse.core”, por ejemplo. Hay alrededor de 50 repositorys de plugins enumerados. ¿ Cuál de estos es el que tiene este paquete? Ninguno tiene un nombre que contiene un ‘wst’ o ‘sse’.

Esto es muy pobre Debe haber una manera para que el usuario asocie el mensaje de error con una solución de repository.

De todos modos: después de un poco de caza y picoteo, terminé seleccionando (y volviendo a cargar cada repository, y con Contacto todos los sitios de actualización durante la instalación para encontrar el software requerido marcado)

Uno de estos proporcionó los paquetes necesarios para el complemento de Android. Mejor suposición: Helios.

La mejor respuesta (por Sathya) también es aplicable en Eclipse Juno.

Esto parece estar arreglado en Indigo Eclipse ahora, hay un video que muestra a alguien instalar eclipse de Android en youtube?

 Cannot complete the install because one or more required items could not be found. Software currently installed: Shared profile 1.0.0.1308118821836 (SharedProfile_epp.package.java 1.0.0.1308118821836) Missing requirement: Shared profile 1.0.0.1308118821836 (SharedProfile_epp.package.java 1.0.0.1308118821836) requires 'org.maven.ide.eclipse 

Ejecutar como administrador !!!

Eclipse Classic o Galileo son los dos que puede usar. Los otros IDE de Eclipse no están destinados a progtwigr o interpretar JAVA de la misma manera. Descargar ya sea 64x o 32x funcionará en Classic o Galileo en una PC. Solo asegúrese de que su PC pueda manejar qué versión de Eclipse descarga.